Bug 397941 - sound juicer keeps lock on cdwriter
sound juicer keeps lock on cdwriter
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-24 12:19 EST by Christoph Höger
Modified: 2008-06-16 22:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:53:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christoph Höger 2007-11-24 12:19:02 EST
Description of problem:
When you want to use soundjuicer to rip and then burn a cd it locks the cdwriter
to read but does not release that lock so that brasero will return "can not
lock" error.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1.rip cd with sound-juicer
2.try to burn usig brasero
Actual results:
brasero cannot lock cdwriter

Expected results:
brasero should be able to burn

This bug makes a simple usecase unusable. It should be backported if that is
already fixed in f8.
Comment 1 Bastien Nocera 2007-11-24 19:53:30 EST
I don't use brasero, so I don't know how it does the locking, and I don't really
understand your reproducer steps either.

Could you explain the exact steps (it's not clear whether you ejected the CD
already, or were trying to launch brasero at the same time as sound-juicer
whilst it was ripping, etc.)?
Also, if you could test with Fedora8 (using a Live USB installation for example,
see http://fedoraproject.org/wiki/FedoraLiveCD/USBHowTo), it would really be
Comment 2 Christoph Höger 2007-11-25 05:57:59 EST

the normal usecase: insert cd, rip it with soundjuicer, eject cd, insert cd-r
try to burn it with brasero.

it might be helpfull that I got the idea from here:
Comment 3 Christoph Höger 2007-11-25 05:58:52 EST
ps: I'm going to test with my f8 machine this evening or tuesday.
Comment 4 Bug Zapper 2008-05-14 11:06:32 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 22:53:38 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.